Name:           gdex
Version:        4.13.2
Release:        1%{?dist}
Summary:        Good Dictionary Examples

Group:          Development/Libraries
License:        GPLv3
URL:            https://www.sketchengine.eu
Source0:        %{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
%if 0%{?fedora}
BuildRequires:  python-setuptools
%endif


%if 0%{?centos} && !0%{?amzn}
Requires:       python36-PyYAML
Requires:       python3(manatee)
%endif

%if 0%{?amzn}
Requires:       python3(manatee)
%endif

%if 0%{?fedora}
Requires:       python3-pyyaml
Requires:       (manatee-python3 or manatee-open-python3)
%endif



%description
GDEX (Good Dictionary Examples) is a Bonito module for sorting
concordances according to their suitability as dictionary examples.

%prep
%setup

%build
sed -i "s/<version>/%{version}/g" setup.py
CFLAGS="$RPM_OPT_FLAGS" %{__python3} setup.py build

%install
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc
%{python3_sitelib}/*
%{_bindir}/add_gdex


